# YoutubeDownloader

[![Build](https://img.shields.io/appveyor/ci/Tyrrrz/YoutubeDownloader/master.svg)](https://ci.appveyor.com/project/Tyrrrz/YoutubeDownloader)
[![Release](https://img.shields.io/github/release/Tyrrrz/YoutubeDownloader.svg)](https://github.com/Tyrrrz/YoutubeDownloader/releases)
[![Downloads](https://img.shields.io/github/downloads/Tyrrrz/YoutubeDownloader/total.svg)](https://github.com/Tyrrrz/YoutubeDownloader/releases)
[![Donate](https://img.shields.io/badge/patreon-donate-yellow.svg)](https://patreon.com/tyrrrz)
[![Donate](https://img.shields.io/badge/buymeacoffee-donate-yellow.svg)](https://buymeacoffee.com/tyrrrz)

YoutubeDownloader is an application that lets you download videos from YouTube. You can just copy-paste URLs of any videos, playlists or channels and download them directly to a format of your choice. It also supports searching by keywords, which is helpful if you want to quickly look up and download videos.

## Download

- [Stable releases](https://github.com/Tyrrrz/YoutubeDownloader/releases)
- [Continuous integration](https://ci.appveyor.com/project/Tyrrrz/YoutubeDownloader)

## Features

- Supports single videos, playlists, channels, and search queries
- Variety of output formats: mp4, webm, mp3, ogg
- Selectable video quality
- Multiple downloads in parallel with progress reporting and cancellation
- Automatic media tagging for audio downloads

## Screenshots

![list](.screenshots/list.png)
![single](.screenshots/single.png)
![multiple](.screenshots/multiple.png)

## Libraries used

- [Stylet](https://github.com/canton7/Stylet)
- [PropertyChanged.Fody](https://github.com/Fody/PropertyChanged)
- [MaterialDesignInXamlToolkit](https://github.com/ButchersBoy/MaterialDesignInXamlToolkit)
- [Newtonsoft.Json](https://github.com/JamesNK/Newtonsoft.Json)
- [Ookii.Dialogs](https://github.com/caioproiete/ookii-dialogs-wpf)
- [Taglib](https://github.com/mono/taglib-sharp)
- [YoutubeExplode](https://github.com/Tyrrrz/YoutubeExplode)
- [YoutubeExplode.Converter](https://github.com/Tyrrrz/YoutubeExplode.Converter)
- [Gress](https://github.com/Tyrrrz/Gress)
- [Onova](https://github.com/Tyrrrz/Onova)
- [Tyrrrz.Extensions](https://github.com/Tyrrrz/Extensions)

## Donate

If you really like my projects and want to support me, consider donating to me on [Patreon](https://patreon.com/tyrrrz) or [BuyMeACoffee](https://buymeacoffee.com/tyrrrz). All donations are optional and are greatly appreciated. 🙏